/*
 * bb.h 
 * BIG BROTHER INCLUDE FILE
 * Sean MacGuire - The MacLawran Group Inc.
 * Version 1.4c
 * Apr 03rd, 2000
 *
 * This program is Copyright (c) 1997-2000
 * The MacLawran Group Inc.
 * All Rights Reserved
 */

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#ifdef BSDI4
#include <arpa/inet.h>
#endif
#include <sys/signal.h>                 /* FOR ALARMS */
#include <sys/wait.h>                 	/* FOR STUPID FREEBSD */
#include <syslog.h>                     /* FOR LOGGING */
#include <setjmp.h>                     /* FOR NON-LOCAL GOTO */

#define MAXLINE  2048			/* CHANGED FROM 256 - MAX LINE SIZE */
#define MAXBUF	 4096			/* STATIC ARRAY */

#define debug   /*printf		/* CAN BE COMMENTED OUT */

#define PORT    1984                    /* OBVIOUSLY BIG BROTHER'S PORT # */

#ifdef BZERO
#define bzero(a,b) memset(a,0,b)
#endif /* BZERO */
#ifdef SYSLOG
#define LOG_DAEMON      (3<<3)
#endif /* SYSLOG */

#define BBREL	"1.4c"
#define BBRELDATE "Mon, 03 Apr 2000 23:00:00 GMT"

#define PAGELEVELSDEFAULT "red purple"	/* Make sure same value is in bbdef.sh */
